Troubleshooting your browsing software

Firstly, it is important to note that the best source of help and advice is your own IT support service. They know about your local settings, systems and policies better than anybody and this determines how your browser works with the internet. Whilst we can offer general advice and suggestions, we have no control or influence over your systems directly. The following general advice is offered to help you and your IT service connect to our systems, but may not cover everything you need to know.


Browser: To use this system, you will need a modern, supported browser updated with the latest security settings within the last 12-18 months:
> Microsoft 'Internet Explorer' version 11 or later versions, (IE11 and 'Edge') *
> Google 'Chrome' version 40 or later versions
> Mozilla 'Firefox' version 40 or later versions
> Apple 'Safari' 9 or later versions
Note: Other modern browsers may work, but are untested and unsupported.

Settings: Your browser must have: JavaScript, cookies and Transport Layer Security 'TLS 1.2' enabled (for details, click the 'changing TLS security settings' button below). Other default settings should be ok.

Firewalls: Internet access is usually controlled by security 'firewall' components provided by your own organisation and at our data centre. To permit access, your browser or network systems may need to be setup to access our websites. Your IT or network security team should allow the following 'wildcard' address: *.crownaudit.org

Proxy settings: Your organisation may control access to the internet by using a secure 'proxy' service. To permit access, your browser or network systems may need to be setup to allow access to our websites. Your proxy service should allow a connection the following 'wildcard' address: *.crownaudit.org or your browser can be configured to bypass your proxy service. Please consult your IT team for advice.

Older PCs or Operating systems (Windows versions): If you have a really old PC or workstation, running older versions of Microsoft Windows, such as, Windows XP or Vista, it may need an upgrade too. We're sorry, we can't help you with that, but it might be possible to run a modern browser on an older machine. Your IT colleagues should be able to help. You might be able to install a new browser such as Google Chrome (https://www.google.com/chrome/) or Mozilla Firefox instead, (https://www.mozilla.org/en-US/firefox/new/) as these don't rely on outdated operating systems.

Help: If you have any difficulty using or accessing this website, in the first instance, you should contact your IT or computer support team and ask them to check your system is configured as above. If you or your IT team need any further assistance, they should contact the Crown Audit helpdesk (email: helpdesk@crownaudit.org or call: 0845 259 1948 during office hours).

* Note: Officially, versions older than IE11 are technically obsolete and should be upgraded to IE11 or an alternative modern browser.
Internet Explorer IE9 or IE10 requires 'TLS1.2' to be enabled to access our websites, but we recommend you upgrade to newer software. Support for IE7 and IE8 has been withdrawn.

Changing TLS security settings Home